Description

Currently, there is no option to properly re-initialize the RSBJava properties. This is required, e.g., for a clean Unit-Testing
Environment and also if the network configuration changes (as for example on mobile devices).

Associated revisions
Revision bebcbc43 - 11/26/2012 07:05 PM - S. Wrede

added reset method to Properties class and test case, fixes #1264

History
#1 - 11/26/2012 07:06 PM - S. Wrede
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-java|commit:bebcbc43b10a8d3dfedd682fe2d8f54fc8b66718.

#2 - 11/26/2012 07:08 PM - S. Wrede

@Johannes: Could you check if the unit testing problem still exists? I tried to decorate the PropertiesTest with the @After annotation but I am not sure
if that works. In particular as I didn't get an email last time about failing tests.

#3 - 11/27/2012 12:26 PM - J. Wienke

Seems to work. The problem especially occurred if you launched the tests using Eclipse as then the runner executes all tests in a single process and
the changed port broke the remaining tests based in spread.

#4 - 11/27/2012 04:43 PM - D. Klotz

I can also confirm this for the Maven build, which had the same problem as Eclipse (i.e. executing all the unit tests in the same JVM process), I
removed the "fix" for this (forking a new JVM for each test in the Maven build) in commit:56a4aee8
